> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blink.store/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve file details

> Fetch detailed information about a specific file deliverable, ensuring that it belongs to the store by verifying the `x-store-id` header. Returns metadata such as title, description, and associated product details.



## OpenAPI

````yaml /api-reference/blink-api.json get /files/{id}
openapi: 3.0.0
info:
  title: Blink API
  description: Comprehensive API documentation for Blink.
  version: 1.0.0
servers:
  - url: https://api.blink.store/v1
security:
  - storeIdHeader: []
tags:
  - name: Invoices
    description: Unified merchant of record invoices for products and subscriptions.
  - name: Geo Pricing
    description: Resolve Purchasing Power Parity (PPP) localized pricing.
paths:
  /files/{id}:
    get:
      tags:
        - Deliverables
      summary: Retrieve file details
      description: >-
        Fetch detailed information about a specific file deliverable, ensuring
        that it belongs to the store by verifying the `x-store-id` header.
        Returns metadata such as title, description, and associated product
        details.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: ID of the file deliverable.
      responses:
        '200':
          description: File details retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FileDetails'
      security:
        - storeIdHeader: []
components:
  schemas:
    FileDetails:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
        title:
          type: string
        description:
          type: string
        url:
          type: string
        button_label:
          type: string
        file_r2_key:
          type: string
        created_at:
          type: string
          format: date-time
        product_id:
          type: string
        variant_id:
          type: string
        bump_id:
          type: string
  securitySchemes:
    storeIdHeader:
      type: apiKey
      in: header
      name: x-store-id

````